/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.exports;

import java.util.HashMap;
import java.util.Map;

import org.dive4elements.river.utils.Pair;

public class GeneratorLookup
{
    private Map<String, Pair<Class<OutGenerator>, Object>> generators;

    public GeneratorLookup() {
        generators = new HashMap<String, Pair<Class<OutGenerator>, Object>>();
    }

    public void putGenerator(
        String              outName,
        Class<OutGenerator> generatorClass,
        Object              ctx
    ) {
        Pair<Class<OutGenerator>, Object> pair =
            new Pair<Class<OutGenerator>, Object>(generatorClass, ctx);
        generators.put(outName, pair);
    }

    public Pair<Class<OutGenerator>, Object> getGenerator(String outName) {
        return generators.get(outName);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
